#!/bin/sh

FILENAME=/etc/acpi/slow
GOV=/sys/devices/system/cpu/cpu0/cpufreq/scaling_governor

if [ -r $FILENAME ]; then
	rm $FILENAME
	echo ondemand > $GOV
	/usr/local/bin/popup ' Auto speed ' &
else
	touch $FILENAME
	echo powersave > $GOV
	/usr/local/bin/popup ' Slow speed ' &
fi
